aboutsummaryrefslogtreecommitdiffstats
path: root/util/macos_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/macos_install.sh')
-rwxr-xr-xutil/macos_install.sh25
1 files changed, 14 insertions, 11 deletions
diff --git a/util/macos_install.sh b/util/macos_install.sh
index 915ff3143..f993003f0 100755
--- a/util/macos_install.sh
+++ b/util/macos_install.sh
@@ -1,26 +1,29 @@
#!/bin/bash
-if ! brew --version 2>&1 > /dev/null; then
+util_dir=$(dirname "$0")
+
+if ! brew --version >/dev/null 2>&1; then
echo "Error! Homebrew not installed or broken!"
echo -n "Would you like to install homebrew now? [y/n] "
- while read ANSWER; do
+ while read -r ANSWER; do
case $ANSWER in
- y|Y)
- /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
- break
+ y | Y)
+ /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
+ break
;;
- n|N)
- exit 1
+ n | N)
+ exit 1
;;
- *)
- echo -n "Would you like to install homebrew now? [y/n] "
+ *)
+ echo -n "Would you like to install homebrew now? [y/n] "
;;
esac
done
fi
brew tap osx-cross/avr
-brew tap PX4/homebrew-px4
+brew tap osx-cross/arm
brew update
-brew install avr-gcc@8 gcc-arm-none-eabi dfu-programmer avrdude dfu-util python3
+brew install avr-gcc@8 arm-gcc-bin dfu-programmer avrdude clang-format dfu-util python3
brew link --force avr-gcc@8
+pip3 install -r "${util_dir}/../requirements.txt"